package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value = "com-domain-ChildrenDayDegreeInfo")
public class ChildrenDayDegreeInfo {
    @ApiModelProperty(value = "")
    private Integer id;

    /**
     * 预约id
     */
    @ApiModelProperty(value = "预约id")
    private Integer reserveId;

    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id")
    private Integer userId;

    /**
     * 声部id
     */
    @ApiModelProperty(value = "声部id")
    private Integer subjectId;

    /**
     * 器乐等级
     */
    @ApiModelProperty(value = "器乐等级")
    private Integer gradeLevel;

    /**
     * 器乐支付金额
     */
    @ApiModelProperty(value = "器乐支付金额")
    private BigDecimal gradePrice = BigDecimal.ZERO;

    /**
     * 乐理等级
     */
    @ApiModelProperty(value = "乐理等级")
    private Integer theoryLevel;

    /**
     * 乐理支付金额
     */
    @ApiModelProperty(value = "乐理支付金额")
    private BigDecimal theoryPrice = BigDecimal.ZERO;

    /**
     * vip 1v1支付价格
     */
    @ApiModelProperty(value = "vip 1v1支付价格")
    private BigDecimal vip1v1Price = BigDecimal.ZERO;

    /**
     * vip 1v2支付价格
     */
    @ApiModelProperty(value = "vip 1v2支付价格")
    private BigDecimal vip1v2Price = BigDecimal.ZERO;

    /**
     * 乐理课支付价格
     */
    @ApiModelProperty(value = "乐理课支付价格")
    private BigDecimal theoryCoursePrice = BigDecimal.ZERO;

    /**
     * 支付总金额
     */
    @ApiModelProperty(value = "支付总金额")
    private BigDecimal totalAmount = BigDecimal.ZERO;

    @ApiModelProperty(value = "订单编号")
    private Long orderId;

    @ApiModelProperty(value = "")
    private Date createTime;

    @ApiModelProperty(value = "")
    private Date updateTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getReserveId() {
        return reserveId;
    }

    public void setReserveId(Integer reserveId) {
        this.reserveId = reserveId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    public Integer getGradeLevel() {
        return gradeLevel;
    }

    public void setGradeLevel(Integer gradeLevel) {
        this.gradeLevel = gradeLevel;
    }

    public BigDecimal getGradePrice() {
        return gradePrice;
    }

    public void setGradePrice(BigDecimal gradePrice) {
        this.gradePrice = gradePrice;
    }

    public Integer getTheoryLevel() {
        return theoryLevel;
    }

    public void setTheoryLevel(Integer theoryLevel) {
        this.theoryLevel = theoryLevel;
    }

    public BigDecimal getTheoryPrice() {
        return theoryPrice;
    }

    public void setTheoryPrice(BigDecimal theoryPrice) {
        this.theoryPrice = theoryPrice;
    }

    public BigDecimal getVip1v1Price() {
        return vip1v1Price;
    }

    public void setVip1v1Price(BigDecimal vip1v1Price) {
        this.vip1v1Price = vip1v1Price;
    }

    public BigDecimal getVip1v2Price() {
        return vip1v2Price;
    }

    public void setVip1v2Price(BigDecimal vip1v2Price) {
        this.vip1v2Price = vip1v2Price;
    }

    public BigDecimal getTheoryCoursePrice() {
        return theoryCoursePrice;
    }

    public void setTheoryCoursePrice(BigDecimal theoryCoursePrice) {
        this.theoryCoursePrice = theoryCoursePrice;
    }

    public BigDecimal getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(BigDecimal totalAmount) {
        this.totalAmount = totalAmount;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", reserveId=").append(reserveId);
        sb.append(", userId=").append(userId);
        sb.append(", subjectId=").append(subjectId);
        sb.append(", gradeLevel=").append(gradeLevel);
        sb.append(", gradePrice=").append(gradePrice);
        sb.append(", theoryLevel=").append(theoryLevel);
        sb.append(", theoryPrice=").append(theoryPrice);
        sb.append(", vip1v1Price=").append(vip1v1Price);
        sb.append(", vip1v2Price=").append(vip1v2Price);
        sb.append(", theoryCoursePrice=").append(theoryCoursePrice);
        sb.append(", totalAmount=").append(totalAmount);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append("]");
        return sb.toString();
    }
}
